# TransactionDetailsComponent | CICADA
Documentation for CICADA

### Hierarchy

- TransactionDetailsComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- closeWindow
- recipientBloxbergLink
- senderBloxbergLink
- tokenName
- tokenSymbol
- traderBloxbergLink
- transaction

### Methods

- close
- copyAddress
- ngOnInit
- reverseTransaction
- viewRecipient
- viewSender
- viewTrader

## Constructors

### constructor

- new TransactionDetailsComponent(router: Router, transactionService: TransactionService, snackBar: MatSnackBar, tokenService: TokenService ): TransactionDetailsComponent

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:30

  #### Parameters

  - ##### router: Router

  - ##### transactionService: TransactionService

  - ##### snackBar: MatSnackBar

  - ##### tokenService: TokenService

  #### Returns TransactionDetailsComponent

## Properties

### closeWindow

closeWindow: EventEmitter<any> = ...

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:24

### recipientBloxbergLink

recipientBloxbergLink: string

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:27

### senderBloxbergLink

senderBloxbergLink: string

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:26

### tokenName

tokenName: string

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:29

### tokenSymbol

tokenSymbol: string

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:30

### traderBloxbergLink

traderBloxbergLink: string

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:28

### transaction

transaction: any

- Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:22

## Methods

### close

- close(): void

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:86

  #### Returns void

### copyAddress

- copyAddress(address: string): void

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:80

  #### Parameters

  - ##### address: string

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:39

  #### Returns Promise<void>

### reverseTransaction

- reverseTransaction(): Promise<void>

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:71

  #### Returns Promise<void>

### viewRecipient

- viewRecipient(): Promise<void>

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:63

  #### Returns Promise<void>

### viewSender

- viewSender(): Promise<void>

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:59

  #### Returns Promise<void>

### viewTrader

- viewTrader(): Promise<void>

- - Defined in src/app/pages/transactions/transaction-details/transaction-details.component.ts:67

  #### Returns Promise<void>

Generated using TypeDoc